
Foreman - Bug #21193

foreman_compute_openstack

10/04/2017 09:34 AM - alexis bergmann

Status: Feedback   

Priority: Normal   

Assignee:    

Category: Compute resources - OpenStack   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.9.3

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

hello,

here is the trace of error:

Attention !

Expected([200, 204]) <=> Actual(302 Found) excon.error.response :body => "" :headers => { "Content-Length" => "0" "Date" =>

"Wed, 04 Oct 2017 13:33:30 GMT" "Location" =>

"https://cloud.numergy.com:443/login/UI/Login?goto=https%3A%2F%2Fcloud.numergy.com%3A443%2Fv2.0%2Ftenants" "Server"

=> "Apache-Coyote/1.1" "Strict-Transport-Security" => "max-age=15552000" "X-Frame-Options" => "SAMEORIGIN" } :local_address

=> "192.168.0.9" :local_port => 43902 :reason_phrase => "Found" :remote_ip => "185.39.219.16" :status => 302 :status_line =>

"HTTP/1.1 302 Found\r\n"

Si vous pensez qu'il s'agisse d'une erreur de Foreman, merci d'ouvrir un ticket avec le gestionnaire de tickets Foreman, Vous aurez

probablement besoin d'attacher la trace complète et les entrées de log correspondantes.

Excon::Errors::Found

Expected([200, 204]) <=> Actual(302 Found) excon.error.response :body => "" :headers => { "Content-Length" => "0" "Date" =>

"Wed, 04 Oct 2017 13:33:30 GMT" "Location" =>

"https://cloud.numergy.com:443/login/UI/Login?goto=https%3A%2F%2Fcloud.numergy.com%3A443%2Fv2.0%2Ftenants" "Server"

=> "Apache-Coyote/1.1" "Strict-Transport-Security" => "max-age=15552000" "X-Frame-Options" => "SAMEORIGIN" } :local_address

=> "192.168.0.9" :local_port => 43902 :reason_phrase => "Found" :remote_ip => "185.39.219.16" :status => 302 :status_line =>

"HTTP/1.1 302 Found\r\n"

/usr/share/foreman/vendor/ruby/2.1.0/gems/excon-0.45.4/lib/excon/middlewares/expects.rb:6:in `response_call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/excon-0.45.4/lib/excon/middlewares/response_parser.rb:8:in `response_call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/excon-0.45.4/lib/excon/connection.rb:372:in `response'

/usr/share/foreman/vendor/ruby/2.1.0/gems/excon-0.45.4/lib/excon/connection.rb:236:in `request'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-core-1.32.0/lib/fog/core/connection.rb:81:in `request'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.32.0/lib/fog/openstack/core.rb:232:in `authenticate_v2'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.32.0/lib/fog/openstack/core.rb:182:in `authenticate'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.32.0/lib/fog/openstack/core.rb:156:in `authenticate'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.32.0/lib/fog/openstack/compute.rb:386:in `authenticate_compute'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-1.32.0/lib/fog/openstack/compute.rb:336:in `initialize'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-core-1.32.0/lib/fog/core/service.rb:115:in `new'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-core-1.32.0/lib/fog/core/service.rb:115:in `new'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-core-1.32.0/lib/fog/core/services_mixin.rb:16:in `new'

/usr/share/foreman/vendor/ruby/2.1.0/gems/fog-core-1.32.0/lib/fog/compute.rb:62:in `new'

/usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb:142:in `client'

/usr/share/foreman/app/models/compute_resources/foreman/model/openstack.rb:156:in `setup_key_pair'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:449:in

`_run__3983071255502940524__create__1031899172953382055__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:405:in `__run_callback'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:385:in `_run_create_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:268:in `create'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/persistence.rb:348:in `create_or_update'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:264:in `block in create_or_update'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:436:in
`_run__3983071255502940524__save__1031899172953382055__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:405:in `__run_callback'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:385:in `_run_save_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/callbacks.rb:264:in `create_or_update'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/persistence.rb:84:in `save'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/validations.rb:50:in `save'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/attribute_methods/dirty.rb:22:in `save'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:259:in `block (2 levels) in save'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:313:in `block in

with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/database_statements

.rb:192:in `transaction'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:208:in `transaction'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:311:in

`with_transaction_returning_status'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:259:in `block in save'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:270:in

`rollback_active_record_state!'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/transactions.rb:258:in `save'

/usr/share/foreman/app/controllers/compute_resources_controller.rb:27:in `create'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/implicit_render.rb:4:in `send_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:167:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/rendering.rb:10:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.rb:18:in `block in process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:627:in `block (4 levels) in run

_2087103455031672843__process_action__1391002193039394898__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_7605'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:326:in `around'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:310:in `_callback_around_1873'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_7605'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:626:in `block (3 levels) in _run

_2087103455031672843__process_action__1391002193039394898__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_7604'

/usr/share/foreman/app/controllers/concerns/application_shared.rb:13:in `set_timezone'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_7604'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:625:in `block (2 levels) in _run

_2087103455031672843__process_action__1391002193039394898__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_7603'

/usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_7603'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:448:in `block in _run

_2087103455031672843__process_action__1391002193039394898__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:215:in `block in 

conditional_callback_around_7602'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:326:in `around'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:310:in `_callback_around_13'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:214:in

`_conditional_callback_around_7602'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:414:in `_run

_2087103455031672843__process_action__1391002193039394898__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:405:in `__run_callback'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:385:in

`_run_process_action_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/abstract_controller/callbacks.rb:17:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/rescue.rb:29:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/instrumentation.rb:30:in `block in

process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/notifications.rb:123:in `block in instrument'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/notifications.rb:123:in `instrument'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/instrumentation.rb:29:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/params_wrapper.rb:207:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/railties/controller_runtime.rb:18:in `process_action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/abstract_controller/base.rb:121:in `process'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/abstract_controller/rendering.rb:45:in `process'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal.rb:203:in `dispatch'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_controller/metal.rb:246:in `block in action'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_set.rb:73:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_set.rb:73:in `dispatch'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_set.rb:36:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/journey-1.0.4/lib/journey/router.rb:68:in `block in call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/journey-1.0.4/lib/journey/router.rb:56:in `each'

/usr/share/foreman/vendor/ruby/2.1.0/gems/journey-1.0.4/lib/journey/router.rb:56:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/routing/route_set.rb:608:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.2.6/lib/apipie/static_dispatcher.rb:65:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.2.6/lib/apipie/extractor/recorder.rb:97:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/apipie-rails-0.2.6/lib/apipie/middleware/checksum_in_headers.rb:27:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/etag.rb:23:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/conditionalget.rb:35:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/head.rb:14:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/params_parser.rb:21:in `call'

/usr/share/foreman/lib/middleware/catch_json_parse_errors.rb:9:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/flash.rb:242:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:210:in `context'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/session/abstract/id.rb:205:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/cookies.rb:341:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/query_cache.rb:64:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activerecord-3.2.21/lib/active_record/connection_adapters/abstract/connection_pool.rb:4

79:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:405:in

`_run__829897602445869668__call__1031899172953382055__callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:405:in `__run_callback'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:385:in `_run_call_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/callbacks.rb:81:in `run_callbacks'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/callbacks.rb:27:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/remote_ip.rb:31:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/railties-3.2.21/lib/rails/rack/logger.rb:32:in `call_app'

/usr/share/foreman/vendor/ruby/2.1.0/gems/railties-3.2.21/lib/rails/rack/logger.rb:18:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/request_id.rb:22:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/methodoverride.rb:21:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/runtime.rb:17:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/activesupport-3.2.21/lib/active_support/cache/strategy/local_cache.rb:72:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/lock.rb:15:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/actionpack-3.2.21/lib/action_dispatch/middleware/static.rb:83:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:136:in `forward'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:143:in `pass'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:155:in `invalidate'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:71:in `call!'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-cache-1.2/lib/rack/cache/context.rb:51:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/railties-3.2.21/lib/rails/engine.rb:484:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/railties-3.2.21/lib/rails/application.rb:231:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/railties-3.2.21/lib/rails/railtie/configurable.rb:30:in `method_missing'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/builder.rb:134:in `call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/urlmap.rb:64:in `block in call'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `each'

/usr/share/foreman/vendor/ruby/2.1.0/gems/rack-1.4.7/lib/rack/urlmap.rb:49:in `call'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/thread_handler_extension.rb:74:in `process_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:141:in `accept_and_process_next_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler/thread_handler.rb:109:in `main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/request_handler.rb:455:in `block (3 levels) in start_threads'

/usr/share/foreman/vendor/ruby/2.1.0/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `call'
/usr/share/foreman/vendor/ruby/2.1.0/gems/logging-2.0.0/lib/logging/diagnostic_context.rb:448:in `block in

create_with_logging_context'

History

#1 - 10/04/2017 12:26 PM - Anonymous

- Category set to Compute resources - OpenStack

- Status changed from New to Feedback

- Priority changed from High to Normal

1.9.x is long out of support, please upgrade your Foreman instance to at least 1.15.4 and report back.
